--- title: "Get training" slug: "clovastudio-gettask" updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/clovastudio-gettask" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get training Available in Classic and VPC Get the desired training information from the list of trainings created. You can check the training progress, current step count, etc. for each training. The training ID required to call the Get training API can be found in the response body of the Create training API. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /tuning/v2/tasks/{taskId} | ### Request headers For information about the headers common to all CLOVA Studio APIs, see [CLOVA Studio request headers](/docs/en/ai-naver-clovastudio-summary#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `taskId` | String | Required | Training ID - See [Get training list](/docs/en/clovastudio-gettasks). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://clovastudio.stream.ntruss.com/tuning/v2/tasks/{taskId}' \ --header 'Authorization: Bearer {API Key}' \ --header 'Content-Type: application/json' \ --header 'X-NCP-CLOVASTUDIO-REQUEST-ID: {Request ID}' ``` ## Response This section describes the response format. ### Response headers The following describes the response headers. | Headers | Required | Description | | --- | --- | --- | | Content-Type | - | Response data format - `application/json` | ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `status` | Object | - | See [Response status](/docs/en/ai-naver-clovastudio-summary#%EC%9D%91%EB%8B%B5). | | `result` | Object | - | Response result | | `result.id` | String | - | Training ID | | `result.name` | String | - | Training name | | `result.model` | String | - | Tuning model name | | `result.trainEpochs` | Integer | - | Number of epochs trained on the model | | `result.learningRate` | Double | - | Training rate (level or degree to which model parameters are retrained when tuning) | | `result.status` | String | - | Training progress - `WAIT` \| `RUNNING` \| `FAILED` \| `SUCCEEDED` - `WAIT`: Training pending - `RUNNING`: Training in progress - `FAILED`: Training stopped - `SUCCEEDED`: Training completed | | `result.statusInfo` | Array | - | Training progress details: [statusInfo](/docs/en/clovastudio-gettask#statusInfo) | | `result.createdClientType` | String | - | Type of client requesting training - `API` \| `WEB` - `API`: API client - `WEB`: Web client | | `result.createdDate` | String | - | Training creation date - ISO 8601 format | | `result.updatedDate` | String | - | Training modification date - ISO 8601 format | #### `statusInfo` The following describes `statusInfo`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `label` | Array | - | - When the training type is `CLASSIFICATION`: User data labels are displayed. - When the training type is `GENERATION`: `null` | | `dataRows` | Integer | - | Number of data | | `numOfTokens` | Integer | - | Number of data tokens | | `currStep` | Integer | - | Number of current training steps | | `totalTrainSteps` | Integer | - | Number of total training steps | | `currEpoch` | Integer | - | Current epoch | | `totalTrainEpochs` | Integer | - | All training epochs | | `estimatedTime` | Integer | - | Estimated run time - Derived by multiplying the average time of 1 epoch by the total number of training epochs | | `trainLoss` | Double | - | Training loss | | `sendWeightSuccess` | Boolean | - | Whether to save training results - `false` \| `true` - `false`: Don't save - `true`: Save | | `failureReason` | String | - | [Reason for training failure (`FAILED`)](/docs/en/clovastudio-gettask#failureReasonmessage) | | `message` | String | - | [Detailed message for training failure (`FAILED`) reason](/docs/en/clovastudio-gettask#failureReasonmessage) | | `endDatetime` | String | - | Training end date - ISO 8601 format | #### `failureReason`, `message` The following describes training failure reasons (`failureReason`) and the detailed message (`message`) for each training failure reason. | Training failure reason | Message details | Description | | --- | --- | --- | | `file.extension` | `Unavailable file extension. Please check the file extension again.` | The data file extension does not match the requested `tuningType`. | | `file.size` | `Exceeded the disk usage limit. Please check if the file size is {limit} or less.` | The expected file size for the training request is exceeded. | | `file.encoding` | `Unsupported charset` | Non-UTF8-sig encoding | | `file.format` | `Invalid json format. {reason}` | Unable to decode the dataset file (.json/.jsonl) | | `file.format` | `Invalid dataset: required field empty. {column}` | The dataset file does not have the required columns. | | `file.format` | `Invalid dataset: unexpected column. {column}` | The dataset file has unexpected columns. | | `file.format` | `Invalid dataset: duplicate columns. {column}` | The dataset file is not case sensitive and contains duplicate columns. | | `file.format` | `Invalid dataset: column order` | The column order in the dataset file deviates from System_Prompt, C_ID, T_ID, Text, and Completion. | | `file.format` | `Invalid dataset: {column}` | The C_ID (or T_ID) in the dataset file does not satisfy the pattern of starting at 0 and incrementing by 1, or the value is empty. | | `file.error` | - | File read error upon training | | `file.noexist` | - | If the dataset file does not exist | | `File not found` | - | If the file can't be found in Object Storage | | `resource.timeout` | - | Response timeout due to GPU acquisition failure; retry required | | `clops.error` | - | CLOps error while training | | `train.unknown` | - | Non-file related error while training | ### Response example The response example is as follows: #### Succeeded The following is a sample response upon a successful call. ``` { "status": { "code": "20000", "message": "OK" }, "result": { "id": "czf9fbky", "name": "230821-130704", "model": "HCX-003", "trainEpochs": 8, "learningRate": 1.0E-4, "status": "WAIT", "statusInfo": { "label": null, "dataRows": null, "numOfTokens": null, "currStep": null, "totalTrainSteps": null, "currEpoch": null, "totalTrainEpochs": null, "estimatedTime": null, "trainLoss": null, "sendWeightSuccess": null, "failureReason": null, "message": null, "endDatetime": null }, "createdClientType": "API", "createdDate": "2023-08-21T13:07:06+0900", "updatedDate": "2023-08-21T13:07:06+0900" } } ``` #### Failure The following is a sample response upon a failed call. - [Common client error troubleshooting (4xx)](/docs/en/clovastudio-troubleshoot-c4xx) - [Common server error troubleshooting (5xx)](/docs/en/clovastudio-troubleshoot-c5xx)